package ru.yandex.webmaster3.viewer.http.checklist.extras;

import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.core.http.request.PagerAware;
import ru.yandex.webmaster3.viewer.http.AbstractUserVerifiedHostRequest;

/**
 * @author avhaliullin
 */
public class BrokenMicrodataPageSamplesRequest extends AbstractUserVerifiedHostRequest implements PagerAware {
    private int page;
    private int pageSize = 20;
    private MicrodataErrorType errorType;

    @Override
    public void setP(int page) {
        this.page = page;
    }

    @Override
    public void setPSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public int getP() {
        return page;
    }

    public int getPSize() {
        return pageSize;
    }

    public MicrodataErrorType getErrorType() {
        return errorType;
    }

    @RequestQueryProperty
    public void setErrorType(MicrodataErrorType errorType) {
        this.errorType = errorType;
    }
}
